# Copyright (c) 2021, XhiveFramework Technologies Pvt. Ltd. and Contributors
# License: MIT. See LICENSE

from click import secho

import xhiveframework


def execute():
	if xhiveframework.get_hooks("jenv"):
		print()
		secho(
			'WARNING: The hook "jenv" is deprecated. Follow the migration guide to use the new "jinja" hook.',
			fg="yellow",
		)
		secho("https://lab.membtech.com/xhiveframework/xhiveframework15/wiki/Migrating-to-Version-13", fg="yellow")
		print()
